This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 15351 - Anaconda crashed install or Redhat Pinstripe
Anaconda crashed install or Redhat Pinstripe
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-04 01:53 EDT by ylitvin
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 15:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda crashed the Redhat Install (1.11 KB, text/plain)
2000-08-04 01:54 EDT, ylitvin
no flags Details
List of packages that I've installed and it didn't crash the Anaconda (9.94 KB, text/plain)
2000-08-04 15:36 EDT, ylitvin
no flags Details

  None (edit)
Description ylitvin 2000-08-04 01:53:49 EDT
After I've selected Full Install ( install everything), the Anaconda
package crashed the Redhat Install
It asked me to submit a bug, so here it is


Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 426, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1022, in run
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 504, in
__call__
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1522, in
doInstall
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1265, in
instCallback
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/urlinstall.py", line 47, in
getFilename
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/log.py", line 23, in
__call__
TypeError: illegal argument type for built-in operation

Local variables in innermost frame:
args: ('ftp error', 'ftp://10.10.10.200/pub/cd1/RedHat/base/hdlist',
<exceptions.IOError instance at 94de5b0>)
self: <log.LogFile instance at 81df9b0>
format: IOError %d occured getting %s: %s

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iurlinstall
UrlInstallMethod
p4
(dp5
S'baseUrl'
p6
S'ftp://10.10.10.200/pub/cd1'
sbsS'initlevel'
p7
I3
sS'skipLilo'
p8
I0
sS'progressWindow'
p9
(itext
ProgressWindow
(dp10
S'scale'
p11
(isnack
Scale
(dp12
S'w'
Comment 1 ylitvin 2000-08-04 01:54:29 EDT
Created attachment 1976 [details]
Anaconda crashed the Redhat Install
Comment 2 Lars Lindbom 2000-08-04 08:44:19 EDT
Encountered exactly the same, only difference is that I used http install so I
got a

Local variables in innermost frame:
args: ('socket error',
'http://my_own_server/RedHat/pinstripe/i386/en/RedHat/base/hdlist',
<socket.error instance at 8f83930>)
self: <log.LogFile instance at 81df650>
format: IOError %d occured getting %s: %s

instead of the above ftp error.

/Lars
Comment 3 Kimo Bonnelycke 2000-08-04 10:36:46 EDT
I also had this error (see bug# 15348) while doing an FTP upgrade.
Comment 4 ylitvin 2000-08-04 15:35:09 EDT
The problem went away, after I did another FTP install and chose selected groups
of packages and not "Install Everything"
I'm attaching my /tmp/install.log for the list of packages that I installed
Comment 5 ylitvin 2000-08-04 15:36:27 EDT
Created attachment 2037 [details]
List of packages that I've installed and it didn't crash the Anaconda
Comment 6 Erik Troan 2000-08-08 15:27:32 EDT
Fixed inernally.

Note You need to log in before you can comment on or make changes to this bug.